There was a Problem in November cook off of codechef. This problem requires partition dp. I have known that partition dp is kind of masking. Can anyone suggest me some similar problems and from where I can learn this topic. Thanks

Before contest

Codeforces Round 940 (Div. 2) and CodeCraft-23

19:08:05

Register now »

Codeforces Round 940 (Div. 2) and CodeCraft-23

19:08:05

Register now »

*has extra registration

# | User | Rating |
---|---|---|

1 | ecnerwala | 3648 |

2 | Benq | 3580 |

3 | orzdevinwang | 3570 |

4 | cnnfls_csy | 3569 |

5 | Geothermal | 3568 |

6 | tourist | 3565 |

7 | maroonrk | 3530 |

8 | Radewoosh | 3520 |

9 | Um_nik | 3481 |

10 | jiangly | 3467 |

# | User | Contrib. |
---|---|---|

1 | maomao90 | 174 |

2 | awoo | 164 |

3 | adamant | 163 |

4 | TheScrasse | 159 |

4 | nor | 159 |

6 | maroonrk | 156 |

7 | -is-this-fft- | 150 |

8 | SecondThread | 147 |

9 | orz | 146 |

10 | pajenegod | 145 |

I have just known about google kickstart . I have noticed that it is said , Google may offer job or internship through google kickstart performance . But , how much well one has to perform to get this ? I meant anyone in this community got interview offer from this ? What rank you achieved ?

(sorry for bad English and thanks in advance)

For 768C - Jon Snow and his Favourite Number , what is the intuition to solve it ? At first for small constraint I made brute force solution and noticed that there is a pattern , there can be two different arrays — when k is even and when k is odd.

But this is not working . Here is my code .

In this UVA 10755 — Garbage Heap , we have to find maximum sum of any sub range.

I have seen the solution and editorial available online . But I don't understand the insight . How 2d max sum and kadane algorithm is applying to get the ans. I meant How it is working actually .

Anyone please help me with this problem

Here, you are asked to find second shortest path.

Given a graph with n nodes and m edges . n ≤ 100,000 and m ≤ 1,000,000 . We have to find any odd cycle.

How to solve this problem ? I tried in naive way. I just stored the nodes when I get any cycle of odd length . But it will obviously TLE.

It might be silly question for pro coders. It is very basic question .I actually googled but could not understand well.

So the question is why the way of finding cycle is different for directed and undirected graph ?

Codeforces (c) Copyright 2010-2024 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Apr/20/2024 22:26:56 (g1).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|